Subject: Re: [TR] A Triumph story for you

From: John Macartney <[email-masked]>
Date: Thu, 14 May 2026 18:42:56 +0100

Dean,

How nice to have something “coming back” to entertain all of us. Thank you so much and I’m sure you’ll treasure those little bits of memorabilia. I wonder who it was you spoke to? Too long ago to remember. The only person I still recall who did Dealer Field Servicing was a lovely guy called Henry Julian who I remember with great affection and respect. Those men who did those jobs and I mean all of them, regardless of the makes they represented, are now long gone and we’re both amazing and incredibly thick-skinned, because they had to be. They’d heard all the ‘sob stories’ and trying to get one over on them was very rare. Dealing with irate customers who could get very aggressive and more than a little violent on occasions was one thing. Maintaining ‘the company line’ was another, and far more difficult. A feature of all their job descriptions was to look for the criminal motive from both customers and dealers themselves who could be more than a little imaginative and convincing in presenting a case for undeserved warranty claims for parts and labour and (hopefully) getting the Service Rep to sign off their document submissions. They rarely succeeded.
My next story for the list (yet to write it up) was watching Henry Julian dealing with a very angry customer on a Saturday afternoon at the 1968 London Motor Show when he and I were jammed in to the Service Desk and couldn’t either escape or sit down because of the crowds. 
Watch this space for a day or so and I’ll endeavour to give all y’all a flavour of what Stand Duty was like in reality.
Thanks Dean for your mind-jogger:) Look after your jewellery!

Jonmac

> On 14 May 2026, at 15:35, Dean Tetterton <[email-masked]> wrote:
> 
> John
>           I enjoy all your stories so it is time to tell you one.
> Many years ago, probably 20, I was showing my 60 TR3A at a British car show.  An older chap was
> talking to me beside the car. He made the comment that he worked for Standard Triumph as a Dealer
> Service Rep. After telling a few stories of interesting tales of wow, he said, I want to give you these.
> He handed me a small box and in it was a collection of Triumph jewelry. One of the items was a Triumph
> Service Award. I still wear that to some TR gatherings.
> 
> I have attached some pictures of the items. I am sure you have some of these also. 
> 
> I always try to talk with people at any gathering. It is amazing what you can learn.
> 
>     Stay well and keep writing
> 
>     Dean Tetterton 
> <service award.JPG>

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]